diff --git a/tests/JuiceboxConfCase.test b/tests/JuiceboxConfCase.test
index 885509e..5c06733 100644
--- a/tests/JuiceboxConfCase.test
+++ b/tests/JuiceboxConfCase.test
@@ -28,7 +28,7 @@ class JuiceboxConfCase extends JuiceboxBaseCase {
   public function setUp() {
     parent::setUp('juicebox');
     // Create and login user.
-    $this->webUser = $this->drupalCreateUser(array('access content', 'access administration pages', 'administer site configuration', 'administer content types', 'administer nodes', 'create article content', 'edit any article content', 'delete any article content', 'administer image styles'));
+    $this->webUser = $this->drupalCreateUser(array('access content', 'access administration pages', 'administer site configuration', 'administer content types', 'administer nodes', 'create article content', 'edit any article content', 'delete any article content', 'administer image styles', 'administer fields'));
     $this->drupalLogin($this->webUser);
     // Prep an article with an image field and activate the Juicebox display
     // formatter for it.
diff --git a/tests/JuiceboxConfGlobalCase.test b/tests/JuiceboxConfGlobalCase.test
index d45dcaa..bda40b9 100644
--- a/tests/JuiceboxConfGlobalCase.test
+++ b/tests/JuiceboxConfGlobalCase.test
@@ -27,7 +27,7 @@ class JuiceboxConfGlobalCase extends JuiceboxBaseCase {
   public function setUp() {
     parent::setUp('juicebox');
     // Create and login user.
-    $this->webUser = $this->drupalCreateUser(array('access content', 'access administration pages', 'administer site configuration', 'administer content types', 'administer nodes', 'create article content', 'edit any article content', 'delete any article content', 'administer image styles'));
+    $this->webUser = $this->drupalCreateUser(array('access content', 'access administration pages', 'administer site configuration', 'administer content types', 'administer nodes', 'create article content', 'edit any article content', 'delete any article content', 'administer image styles', 'administer fields'));
     $this->drupalLogin($this->webUser);
     // Prep an article with an image field and activate the Juicebox display
     // formatter for it.
diff --git a/tests/JuiceboxFieldFormatterCase.test b/tests/JuiceboxFieldFormatterCase.test
index 23ed7bd..bc11d8c 100644
--- a/tests/JuiceboxFieldFormatterCase.test
+++ b/tests/JuiceboxFieldFormatterCase.test
@@ -27,7 +27,7 @@ class JuiceboxFieldFormatterCase extends JuiceboxBaseCase {
   public function setUp() {
     parent::setUp('juicebox');
     // Create and login user.
-    $this->webUser = $this->drupalCreateUser(array('access content', 'access administration pages', 'administer site configuration', 'administer content types', 'administer nodes', 'create article content', 'edit any article content', 'delete any article content', 'administer image styles', 'search content', 'access contextual links'));
+    $this->webUser = $this->drupalCreateUser(array('access content', 'access administration pages', 'administer site configuration', 'administer content types', 'administer nodes', 'create article content', 'edit any article content', 'delete any article content', 'administer image styles', 'search content', 'access contextual links', 'administer fields'));
     $this->drupalLogin($this->webUser);
     // Prep an article with an image field and activate the Juicebox display
     // formatter for it.
diff --git a/tests/JuiceboxFileCase.test b/tests/JuiceboxFileCase.test
index 7c9043c..0b83143 100644
--- a/tests/JuiceboxFileCase.test
+++ b/tests/JuiceboxFileCase.test
@@ -27,7 +27,7 @@ class JuiceboxFileCase extends JuiceboxBaseCase {
   public function setUp() {
     parent::setUp('juicebox');
     // Create and login user.
-    $this->webUser = $this->drupalCreateUser(array('access content', 'access administration pages', 'administer site configuration', 'administer content types', 'administer nodes', 'create article content', 'edit any article content', 'delete any article content', 'administer image styles'));
+    $this->webUser = $this->drupalCreateUser(array('access content', 'access administration pages', 'administer site configuration', 'administer content types', 'administer nodes', 'create article content', 'edit any article content', 'delete any article content', 'administer image styles', 'administer fields'));
     $this->drupalLogin($this->webUser);
   }
 
diff --git a/tests/JuiceboxFileEntityCase.test b/tests/JuiceboxFileEntityCase.test
index d204651..c921d27 100644
--- a/tests/JuiceboxFileEntityCase.test
+++ b/tests/JuiceboxFileEntityCase.test
@@ -28,7 +28,7 @@ class JuiceboxFileEntityCase extends JuiceboxBaseCase {
   public function setUp() {
     parent::setUp('juicebox', 'file_entity');
     // Create and login user.
-    $this->webUser = $this->drupalCreateUser(array('access content', 'access administration pages', 'administer site configuration', 'administer content types', 'administer nodes', 'create article content', 'edit any article content', 'delete any article content', 'administer image styles', 'administer files', 'edit any image files'));
+    $this->webUser = $this->drupalCreateUser(array('access content', 'access administration pages', 'administer site configuration', 'administer content types', 'administer nodes', 'create article content', 'edit any article content', 'delete any article content', 'administer image styles', 'administer files', 'administer file types', 'edit any image files', 'administer fields'));
     $this->drupalLogin($this->webUser);
   }
 
diff --git a/tests/JuiceboxSubRequestCase.test b/tests/JuiceboxSubRequestCase.test
index da078dc..1a6e34b 100644
--- a/tests/JuiceboxSubRequestCase.test
+++ b/tests/JuiceboxSubRequestCase.test
@@ -28,7 +28,7 @@ class JuiceboxSubRequestCase extends JuiceboxBaseCase {
   public function setUp() {
     parent::setUp('juicebox', 'views', 'juicebox_views_test');
     // Create and login user.
-    $this->webUser = $this->drupalCreateUser(array('access content', 'access administration pages', 'administer site configuration', 'administer content types', 'administer nodes', 'create article content', 'edit any article content', 'delete any article content', 'administer image styles', 'administer views', 'access contextual links'));
+    $this->webUser = $this->drupalCreateUser(array('access content', 'access administration pages', 'administer site configuration', 'administer content types', 'administer nodes', 'create article content', 'edit any article content', 'delete any article content', 'administer image styles', 'administer views', 'access contextual links', 'administer fields'));
     $this->drupalLogin($this->webUser);
     // Prep an article with an image field. All our views will list article
     // content or file data sourced from it.
diff --git a/tests/JuiceboxViewsCase.test b/tests/JuiceboxViewsCase.test
index 99c9b65..6fca41f 100644
--- a/tests/JuiceboxViewsCase.test
+++ b/tests/JuiceboxViewsCase.test
@@ -28,7 +28,7 @@ class JuiceboxViewsCase extends JuiceboxBaseCase {
   public function setUp() {
     parent::setUp('juicebox', 'views', 'juicebox_views_test');
     // Create and login user.
-    $this->webUser = $this->drupalCreateUser(array('access content', 'access administration pages', 'administer site configuration', 'administer content types', 'administer nodes', 'create article content', 'edit any article content', 'delete any article content', 'administer image styles', 'administer views', 'access contextual links'));
+    $this->webUser = $this->drupalCreateUser(array('access content', 'access administration pages', 'administer site configuration', 'administer content types', 'administer nodes', 'create article content', 'edit any article content', 'delete any article content', 'administer image styles', 'administer views', 'access contextual links', 'administer fields'));
     $this->drupalLogin($this->webUser);
     // Prep an article with an image field. All our views will list article
     // content or file data sourced from it.
